import * as $dara from '@darabonba/typescript';
import { DescribeVendorListResponseBody } from "./DescribeVendorListResponseBody";
export declare class DescribeVendorListResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeVendorListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
